# SPDX-FileCopyrightText: Mintlab B.V.
#
# SPDX-License-Identifier: EUPL-1.2

[tool.pytest.ini_options]
spec_header_format = "{path}: {test_case} ({class_name})"
testpaths = ["tests"]
addopts = ["--spec"]

filterwarnings = [
    "error",
    # https://github.com/Pylons/webob/issues/437
    "ignore:'cgi' is deprecated:DeprecationWarning",
    # https://github.com/Pylons/venusian/issues/85
    'ignore:find_module\(\) is deprecated:DeprecationWarning',
    'ignore:Deprecated call to `pkg_resources.declare_namespace:DeprecationWarning',
    'ignore:FileFinder.find_loader\(\) is deprecated:DeprecationWarning',
    # https://github.com/Pylons/pyramid/issues/3731
    'ignore:pkg_resources is deprecated as an API.*:DeprecationWarning',
    "ignore::DeprecationWarning:holidays",
]

[tool.ruff]
line-length = 79
target-version = "py311"

[tool.ruff.lint]
select = [
    "E",   # Pycodestyle
    "W",   # Pycodestyle
    "F",   # Pyflakes
    "B",   # flake8-bugbear
    "RUF", # Ruff specific
    "T20", # flake8-print
    "C90", # mccabe (complexity)
    "I001", # isort
    "I002", # isort
]

# E501 = Line too long (>79 characters)
ignore = ["E501", "RUF012", "RUF013"]

dummy-variable-rgx = "^(_+|(_+[a-zA-Z0-9_]*[a-zA-Z0-9]+?))$"

[tool.ruff.lint.mccabe]
max-complexity = 10

[tool.ruff.lint.isort]
no-sections = true
